Subject: Re: How to see command line arguments passed to program in core.sshcommand?

From: SZEDER Gábor <[email-masked]>
Date: Mon, 23 Sep 2019 11:24:17 +0200

On Sun, Sep 22, 2019 at 11:17:59PM -0400, Jeffrey Walton wrote:
> I need to spy the command line arguments being passed around, but I
> have not been able to do so. 'git clone -verbose' is ineffective, and
> -vvv is rejected as an unknown option.
> 
> How do I see command line arguments passed to the program in core.sshcommand?

Try

  GIT_TRACE=1 git <rest of the command>

and, among other things, you'll see something like

  11:20:12.013785 run-command.c:663       trace: run_command: unset GIT_PREFIX; ssh [email-masked] 'git-receive-pack '\''/szeder/git'\'''

in its output (this was for a 'git push').

See 'man git' for possible values for GIT_TRACE.